<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.PrefixCounterMapper">


    <insert id="upsertAndIncr">
        INSERT INTO sys_prefix_counter (prefix, seq)
        VALUES (#{prefix}, LAST_INSERT_ID(1))
        ON DUPLICATE KEY UPDATE
            seq = LAST_INSERT_ID(seq + 1)

    </insert>
</mapper>